# Visualization
TKService
AlienImage

# AlienImage_XAlienImage Class Reference

Defines an X11 Alien image, i.e. an image file to be
used with X11 xwd utility.
.

`#include <AlienImage_XAlienImage.hxx>`

Inheritance diagram for AlienImage_XAlienImage:

[legend]

## Public Member Functions

Standard_EXPORT | AlienImage_XAlienImage ()
| Constructs an empty X11 alien image. .
Standard_EXPORT void | Clear ()
| Frees memory allocated by XAlienImage .
| ~AlienImage_XAlienImage ()
Standard_EXPORT void | SetName (const TCollection_AsciiString &aName)
| Sets the Image name for the Name function. .
Standard_EXPORT const TCollection_AsciiString & | Name () const
| Returns the Image name. .
Standard_EXPORT Handle_Image_Image | ToImage () const
| Converts an XAlienImage object to a Image object. .
Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)
| Converts an Image object to a XAlienImage object. .
Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)
| Reads the content of a XAlienImage object from a file . Returns True if file is a XWD file . .
Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const
| Writes the content of a XAlienImage object to a file . .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_AlienImage_X11XWDAlienData | myData

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_XAlienImage::AlienImage_XAlienImage | ( |  | ) |

AlienImage_XAlienImage::~AlienImage_XAlienImage | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void AlienImage_XAlienImage::Clear | ( |  | ) |

Standard_EXPORT void AlienImage_XAlienImage::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT const AlienImage_XAlienImage::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienUserImage.

Standard_EXPORT const TCollection_AsciiString& AlienImage_XAlienImage::Name | ( |  | ) | const

Standard_EXPORT Standard_Boolean AlienImage_XAlienImage::Read | ( | OSD_File & | afile | ) | `[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT void AlienImage_XAlienImage::SetName | ( | const TCollection_AsciiString & | aName | ) |

Standard_EXPORT Handle_Image_Image AlienImage_XAlienImage::ToImage | ( |  | ) | const`[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT Standard_Boolean AlienImage_XAlienImage::Write | ( | OSD_File & | afile | ) | const`[virtual]`

| Implements AlienImage_AlienUserImage.

## Field Documentation

Handle_AlienImage_X11XWDAlienData AlienImage_XAlienImage::myData `[private]`

The documentation for this class was generated from the following file:

- AlienImage_XAlienImage.hxx